Subject: Re: MVME 2306 almost up and running

From: Michael Lundkvist <[email-masked]>
Date: 22 Mar 1999 13:28:05 +0100

David De Ridder <[email-masked]> writes:

> 
>  So, the kernel seems to be requesting those files (and receiving them ?).
>  You could be right about the dynamic libraries. But, before I reinstall
>  the entire root fs, I want to make sure *that* is the problem. Does
>  any of you kind people have a statically linked program I could use to
>  test, e.g. a Hello World program ?
> 

Try /bin/rpm.

>  BTW, the 'file' commando recognizes PPC binaries. But can it make a 
>  distinction between statically and dynamically linked binaries (I know
>  it can for i386 arch) ? E.g., when I do a 'file' on my PPC init :
> 
>  ``sbin/init: ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1''
> 
>  and on my i386 /sbin/init :
> 
>  ``/sbin/init: ELF 32-bit LSB executable, Intel 80386, version 1,
>                statically linked, stripped''
> 
>  Thank you,
> 

[root@tss236 /root]# file /sbin/init /bin/rpm
/sbin/init: ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1, dynamically linked (uses shared libs), stripped
/bin/rpm:   ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1, statically linked, stripped

/Micke

--

Michael Lundkvist
Epact Technology AB
[email-masked]

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]